#include <bits/stdc++.h>
using namespace std;

int N, M, K, T;

int main(){
    ios::sync_with_stdio(0);cin.tie(0);

    cin >> T;
    int provera[T];
    for(int i = 0; i < T ; i++){
        cin >> N >> M >> K;
        if(N - K + 1 >= M / 2){
            provera[i] = 0;
        }
        else{
            provera[i] = 1;
        }
    }


    for(int i = 0; i < T; i++){
        if(provera[i] == 0){
            cout << "Nie" << endl;
        }
        else{
            cout << "Tak" << endl;
        }
    }
    return 0;
}